package cn.wisenergy.service;

import cn.wisenergy.model.dto.GetMonthlyCollectParam;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface StatisticsService {

    /**
     * 获取部门所有员工每天工时
     * @param param 参数对象
     * @return
     */
    PageInfo getMonthlyCollect(GetMonthlyCollectParam param);

    /**
     * 获取用户本月填报和审批情况，权限为填报时只有填报情况
     * @param userId
     * @return
     */
    List<Object> getMonthlyStatistics(Integer userId);
}
